function fish_prompt_git_settings --description 'Configure the git prompt'
    # Toggles
    _set_global_if_unset __fish_git_prompt_showdirtystate 1
    _set_global_if_unset __fish_git_prompt_showstashstate 1
    _set_global_if_unset __fish_git_prompt_showuntrackedfiles 1
    _set_global_if_unset __fish_git_prompt_showupstream "none"

    # Colors
    _set_global_if_unset __fish_git_prompt_color_branch magenta
    _set_global_if_unset __fish_git_prompt_color_dirtystate cyan
    _set_global_if_unset __fish_git_prompt_color_invalidstate red
    _set_global_if_unset __fish_git_prompt_color_stagedstate cyan
    _set_global_if_unset __fish_git_prompt_color_stashstate cyan
    _set_global_if_unset __fish_git_prompt_color_untrackedfiles cyan
end
